rem param 1=dir holding scripts

rem  Populate the types table
db2 import from %1\udditype-data.txt of del modified by coldel# insert into category
set RC=%ERRORLEVEL%
echo "Import of udditype-data.txt returned rc: %RC%" 
rem if %RC% GTR 0 ( goto BADEXIT )

rem  Populate the NAICS category table.
db2 import from %1\naics-data.txt of del modified by coldel# insert into category
set RC=%ERRORLEVEL%
echo "Import of naics-data.txt returned rc: %RC%" 
rem if %RC% GTR 0 ( goto BADEXIT )

rem Populate the UNSPSC category table.
db2 import from %1\unspsc-data.txt of del modified by coldel# insert into category
set RC=%ERRORLEVEL%
echo "Import of unspsc-data.txt returned rc: %RC%" 
rem if %RC% GTR 0 ( goto BADEXIT )

rem Populate the GEO category table.
db2 import from %1\geo-data.txt of del modified by coldel# insert into category
set RC=%ERRORLEVEL%
echo "Import of geo-data.txt returned rc: %RC%" 
rem if %RC% GTR 0 ( goto BADEXIT )

rem Populate the UNSPSC7 category table.
db2 import from %1\unspsc7-data.txt of del modified by coldel# insert into category
set RC=%ERRORLEVEL%
echo "Import of unspsc7-data.txt returned rc: %RC%" 
rem if %RC% GTR 0 ( goto BADEXIT )

echo.
echo "Done populating the category table."
echo.

:GOODEXIT
echo "Exiting script with good ret code" 
endlocal
goto ALLDONE

:BADEXIT
echo "Exiting script with error ret code"
endlocal
rem use exit if OS supports it
VER | find "2000" > nul 
IF not errorlevel 1 exit 1
VER | find "XP" > nul 
IF not errorlevel 1 exit 1
rem default if OS/shell not recognised
verify other 2 > NUL 2>&1

:ALLDONE

