﻿echo "UDDI deployment script.";

insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4', 'uddi-org:types', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4', 'tModel', 'en', 'UDDI Type Taxonomy', 1);

insert into overviewdoc values ('20090928160111037703000000','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#UDDItypes');

insert into descr values ('20090928160111037703000000', 'overviewDoc', 'en', 'Taxonomy used to categorize Service Descriptions.', 1);

insert into categorybag values ('UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','categorization', 1);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:4CD7E4BC-648B-426D-9936-443EAAC8AE23', 'uddi-org:inquiry', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:4CD7E4BC-648B-426D-9936-443EAAC8AE23', 'tModel', 'en', 'UDDI Inquiry API - Core Specification', 1);

insert into overviewdoc values ('20090928163040361060000000','UUID:4CD7E4BC-648B-426D-9936-443EAAC8AE23', 'tModel', 'http://www.uddi.org/wsdl/inquire_v1.wsdl');

insert into descr values ('20090928163040361060000000', 'overviewDoc', 'en', 'This tModel defines the inquiry API calls for interacting with the UDDI registry.', 1);

insert into categorybag values ('UUID:4CD7E4BC-648B-426D-9936-443EAAC8AE23','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','specification', 1);
insert into categorybag values ('UUID:4CD7E4BC-648B-426D-9936-443EAAC8AE23','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','xmlSpec', 2);
insert into categorybag values ('UUID:4CD7E4BC-648B-426D-9936-443EAAC8AE23','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','soapSpec', 3);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:64C756D1-3374-4E00-AE83-EE12E38FAE63', 'uddi-org:publication', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:64C756D1-3374-4E00-AE83-EE12E38FAE63', 'tModel', 'en', 'UDDI Publication API - Core Specification', 1);

insert into overviewdoc values ('20090928163119584250000000','UUID:64C756D1-3374-4E00-AE83-EE12E38FAE63', 'tModel', 'http://www.uddi.org/wsdl/publish_v1.wsdl');

insert into descr values ('20090928163119584250000000', 'overviewDoc', 'en', 'This tModel defines the publication API calls for interacting with the UDDI registry.', 1);

insert into categorybag values ('UUID:64C756D1-3374-4E00-AE83-EE12E38FAE63','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','specification', 1);
insert into categorybag values ('UUID:64C756D1-3374-4E00-AE83-EE12E38FAE63','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','xmlSpec', 2);
insert into categorybag values ('UUID:64C756D1-3374-4E00-AE83-EE12E38FAE63','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','soapSpec', 3);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:3FB66FB7-5FC3-462F-A351-C140D9BD8304', 'uddi-org:taxonomy', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:3FB66FB7-5FC3-462F-A351-C140D9BD8304', 'tModel', 'en', 'UDDI Taxonomy API', 1);

insert into overviewdoc values ('20090928163243021740000000','UUID:3FB66FB7-5FC3-462F-A351-C140D9BD8304', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163243021740000000', 'overviewDoc', 'en', 'This tModel defines the taxonomy maintenance API calls for interacting with the UDDI registry.', 1);

insert into categorybag values ('UUID:3FB66FB7-5FC3-462F-A351-C140D9BD8304','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','specification', 1);
insert into categorybag values ('UUID:3FB66FB7-5FC3-462F-A351-C140D9BD8304','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','xmlSpec', 2);
insert into categorybag values ('UUID:3FB66FB7-5FC3-462F-A351-C140D9BD8304','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','soapSpec', 3);




insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:DB77450D-9FA8-45D4-A7BC-04411D14E384', 'unspsc-org:unspsc:3-1', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:DB77450D-9FA8-45D4-A7BC-04411D14E384', 'tModel', 'en', 'Product Taxonomy: UNSPSC (Version 3.1)', 1);

insert into overviewdoc values ('20090928164603133107000000','UUID:DB77450D-9FA8-45D4-A7BC-04411D14E384', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#UNSPSC');

insert into descr values ('20090928164603133107000000', 'overviewDoc', 'en', 'This tModel defines the UNSPSC product taxonomy.', 1);

insert into categorybag values ('UUID:DB77450D-9FA8-45D4-A7BC-04411D14E384','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','categorization', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:CD153257-086A-4237-B336-6BDCBDCC6634', 'unspsc-org:unspsc', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:CD153257-086A-4237-B336-6BDCBDCC6634', 'tModel', 'en', 'Product Taxonomy: UNSPSC (Version 7.3)', 1);

insert into overviewdoc values ('20090928164603133107220000','UUID:CD153257-086A-4237-B336-6BDCBDCC6634', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#UNSPSC7');

insert into descr values ('20090928164603133107220000', 'overviewDoc', 'en', 'This tModel defines Version 7.3 of the UNSPSC product taxonomy.', 1);

insert into categorybag values ('UUID:CD153257-086A-4237-B336-6BDCBDCC6634','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','categorization', 1);
                                                           

insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:C0B9FE13-179F-413D-8A5B-5004DB8E5BB2', 'ntis-gov:naics:1997', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:C0B9FE13-179F-413D-8A5B-5004DB8E5BB2', 'tModel', 'en', 'Business Taxonomy: NAICS (1997 Release)', 1);

insert into overviewdoc values ('20090928163751667230000000','UUID:C0B9FE13-179F-413D-8A5B-5004DB8E5BB2', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#NAICS');

insert into descr values ('20090928163751667230000000', 'overviewDoc', 'en', 'This tModel defines the NAICS industry taxonomy.', 1);

insert into categorybag values ('UUID:C0B9FE13-179F-413D-8A5B-5004DB8E5BB2','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','categorization', 1);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:A035A07C-F362-44DD-8F95-E2B134BF43B4', 'uddi-org:general_keywords', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:A035A07C-F362-44DD-8F95-E2B134BF43B4', 'tModel', 'en', 'Other Taxonomy', 1);

insert into overviewdoc values ('20090928163751667250000000','UUID:A035A07C-F362-44DD-8F95-E2B134BF43B4', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#GenKW');

insert into descr values ('20090928163751667250000000', 'overviewDoc', 'en', 'This tModel defines an unidentified taxonomy.', 1);

insert into categorybag values ('UUID:A035A07C-F362-44DD-8F95-E2B134BF43B4','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','categorization', 1);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:8609C81E-EE1F-4D5A-B202-3EB13AD01823', 'dnb-com:D-U-N-S', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:8609C81E-EE1F-4D5A-B202-3EB13AD01823', 'tModel', 'en', 'Dun & Bradstreet D-U-N-S® Number', 1);

insert into overviewdoc values ('20090928163751667270000000','UUID:8609C81E-EE1F-4D5A-B202-3EB13AD01823', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#D-U-N-S');

insert into descr values ('20090928163751667270000000', 'overviewDoc', 'en', 'This tModel is used for the Dun & Bradstreet  D-U-N-S® Number identifier.', 1);

insert into categorybag values ('UUID:8609C81E-EE1F-4D5A-B202-3EB13AD01823','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','identifier', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:B1B1BAF5-2329-43E6-AE13-BA8E97195039', 'thomasregister-com:supplierID', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:B1B1BAF5-2329-43E6-AE13-BA8E97195039', 'tModel', 'en', 'Thomas Registry Suppliers', 1);

insert into overviewdoc values ('20090928163751667290000000','UUID:B1B1BAF5-2329-43E6-AE13-BA8E97195039', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#Thomas');

insert into descr values ('20090928163751667290000000', 'overviewDoc', 'en', 'This tModel is used for the Thomas Register supplier identifier codes.', 1);

insert into categorybag values ('UUID:B1B1BAF5-2329-43E6-AE13-BA8E97195039','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','identifier', 1);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:68DE9E80-AD09-469D-8A37-088422BFBC36', 'uddi-org:http', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:68DE9E80-AD09-469D-8A37-088422BFBC36', 'tModel', 'en', 'An http or web browser based web service', 1);

insert into overviewdoc values ('20090928163751667310000000','UUID:68DE9E80-AD09-469D-8A37-088422BFBC36', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667310000000', 'overviewDoc', 'en', 'This tModel is used to describe a web service that is invoked through a web browser and/or the http protocol.', 1);

insert into categorybag values ('UUID:68DE9E80-AD09-469D-8A37-088422BFBC36','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModelType','transport', 1);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:93335D49-3EFB-48A0-ACEA-EA102B60DDC6', 'uddi-org:smtp', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:93335D49-3EFB-48A0-ACEA-EA102B60DDC6', 'tModel', 'en', 'E-mail based web service', 1);

insert into overviewdoc values ('20090928163751667330000000','UUID:93335D49-3EFB-48A0-ACEA-EA102B60DDC6', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667330000000', 'overviewDoc', 'en', 'This tModel is used to describe a web service that is invoked through SMTP email transmissions. These transmissions may be either between people or applications.', 1);

insert into categorybag values ('UUID:93335D49-3EFB-48A0-ACEA-EA102B60DDC6','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModelType','transport', 1);



insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:1A2B00BE-6E2C-42F5-875B-56F32686E0E7', 'uddi-org:fax', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:1A2B00BE-6E2C-42F5-875B-56F32686E0E7', 'tModel', 'en', 'Fax based web service', 1);

insert into overviewdoc values ('20090928163751667350000000','UUID:1A2B00BE-6E2C-42F5-875B-56F32686E0E7', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667350000000', 'overviewDoc', 'en', 'This tModel is used to describe a web service that is invoked through fax transmissions.  These transmissions may be either between people or applications.', 1);

insert into categorybag values ('UUID:1A2B00BE-6E2C-42F5-875B-56F32686E0E7','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModelType','protocol', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:5FCF5CD0-629A-4C50-8B16-F94E9CF2A674', 'uddi-org:ftp', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:5FCF5CD0-629A-4C50-8B16-F94E9CF2A674', 'tModel', 'en', 'File transfer protocol (ftp) based web service', 1);

insert into overviewdoc values ('20090928163751667370000000','UUID:5FCF5CD0-629A-4C50-8B16-F94E9CF2A674', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667370000000', 'overviewDoc', 'en', 'This tModel is used to describe a web service that is invoked through file transfers via the ftp protocol.', 1);

insert into categorybag values ('UUID:5FCF5CD0-629A-4C50-8B16-F94E9CF2A674','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModelType','transport', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:38E12427-5536-4260-A6F9-B5B530E63A07', 'uddi-org:telephone', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:38E12427-5536-4260-A6F9-B5B530E63A07', 'tModel', 'en', 'Telephone based web service', 1);

insert into overviewdoc values ('20090928163751667390000000','UUID:38E12427-5536-4260-A6F9-B5B530E63A07', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667390000000', 'overviewDoc', 'en', 'This tModel is used to describe a web service that is invoked through a telephone call and interaction by voice and/or touch-tone.', 1);

insert into categorybag values ('UUID:38E12427-5536-4260-A6F9-B5B530E63A07','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModelType','specification', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:4E49A8D6-D5A2-4FC2-93A0-0411D8D19E88', 'uddi-org:iso-ch:3166:1999', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:4E49A8D6-D5A2-4FC2-93A0-0411D8D19E88', 'tModel', 'en', 'ISO 3166-1:1997 and 3166-2:1998. Codes for names of countries and their subdivisions. Part 1: Country codes. Part 2:Country subdivision codes. Update newsletters include ISO 3166-1 V-1 (1998-02-05), V-2 (1999-10-01), ISO 3166-2 I-1 (1998)', 1);

insert into overviewdoc values ('20090928163751667410000000','UUID:4E49A8D6-D5A2-4FC2-93A0-0411D8D19E88', 'tModel', 'http://www.uddi.org/taxonomies/Core_Taxonomy_OverviewDoc.htm#ISO3166');

insert into descr values ('20090928163751667410000000', 'overviewDoc', 'en', 'Taxonomy used to categorize entries by geographic location.', 1);

insert into categorybag values ('UUID:4E49A8D6-D5A2-4FC2-93A0-0411D8D19E88','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','categorization', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:AC104DCC-D623-452F-88A7-F8ACD94D9B2B', 'uddi-org:inquiry_v2', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:AC104DCC-D623-452F-88A7-F8ACD94D9B2B', 'tModel', 'en', 'UDDI Inquiry API V 2.0 - Core Specification', 1);

insert into overviewdoc values ('20090928163751667430000000','UUID:AC104DCC-D623-452F-88A7-F8ACD94D9B2B', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667430000000', 'overviewDoc', 'en', 'This tModel defines the inquiry API calls for interacting with the UDDI registry.', 1);

insert into categorybag values ('UUID:AC104DCC-D623-452F-88A7-F8ACD94D9B2B','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','specification', 1);
insert into categorybag values ('UUID:AC104DCC-D623-452F-88A7-F8ACD94D9B2B','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','xmlSpec', 2);
insert into categorybag values ('UUID:AC104DCC-D623-452F-88A7-F8ACD94D9B2B','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','soapSpec', 3);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:A2F36B65-2D66-4088-ABC7-914D0E05EB9E', 'uddi-org:publication_v2', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:A2F36B65-2D66-4088-ABC7-914D0E05EB9E', 'tModel', 'en', 'UDDI Publication API V 2.0 - Core Specification', 1);

insert into overviewdoc values ('20090928163751667450000000','UUID:A2F36B65-2D66-4088-ABC7-914D0E05EB9E', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667450000000', 'overviewDoc', 'en', 'This tModel defines the publication API calls for interacting with the UDDI registry.', 1);

insert into categorybag values ('UUID:A2F36B65-2D66-4088-ABC7-914D0E05EB9E','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','specification', 1);
insert into categorybag values ('UUID:A2F36B65-2D66-4088-ABC7-914D0E05EB9E','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','xmlSpec', 2);
insert into categorybag values ('UUID:A2F36B65-2D66-4088-ABC7-914D0E05EB9E','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','soapSpec', 3);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:1E3E9CBC-F8CE-41AB-8F99-88326BAD324A', 'uddi-org:taxonomy_v2', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:1E3E9CBC-F8CE-41AB-8F99-88326BAD324A', 'tModel', 'en', 'UDDI Taxonomy API V 2.0 - Core Specification', 1);

insert into overviewdoc values ('20090928163751667470000000','UUID:1E3E9CBC-F8CE-41AB-8F99-88326BAD324A', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667470000000', 'overviewDoc', 'en', 'This tModel defines the taxonomy maintenance API calls for interacting with the UDDI registry.', 1);

insert into categorybag values ('UUID:1E3E9CBC-F8CE-41AB-8F99-88326BAD324A','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','specification', 1);
insert into categorybag values ('UUID:1E3E9CBC-F8CE-41AB-8F99-88326BAD324A','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','xmlSpec', 2);
insert into categorybag values ('UUID:1E3E9CBC-F8CE-41AB-8F99-88326BAD324A','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','soapSpec', 3);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:4064C064-6D14-4F35-8953-9652106476A9', 'uddi-org:owningBusiness', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:4064C064-6D14-4F35-8953-9652106476A9', 'tModel', 'en', 'A pointer to a businessEntity that owns the categorized data.', 1);

insert into overviewdoc values ('20090928163751667490000000','UUID:4064C064-6D14-4F35-8953-9652106476A9', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667490000000', 'overviewDoc', 'en', 'This tModel identifies the businessEntity that published or owns the tagged information. Used with tModels to establish an "owned" relationship with a registered businessEntity.', 1);

insert into categorybag values ('UUID:4064C064-6D14-4F35-8953-9652106476A9','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','identifier', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:327A56F0-3299-4461-BC23-5CD513E95C55', 'uddi-org:operators', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:327A56F0-3299-4461-BC23-5CD513E95C55', 'tModel', 'en', 'Identifier system for identifying operators of a registry.', 1);

insert into overviewdoc values ('20090928163751667510000000','UUID:327A56F0-3299-4461-BC23-5CD513E95C55', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667510000000', 'overviewDoc', 'en', 'This checked value set is used to identify UDDI operators.', 1);

insert into categorybag values ('UUID:327A56F0-3299-4461-BC23-5CD513E95C55','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','identifier', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:4CEC1CEF-1F68-4B23-8CB7-8BAA763AEB89', 'uddi-org:homepage', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:4CEC1CEF-1F68-4B23-8CB7-8BAA763AEB89', 'tModel', 'en', 'HTTP Web Home Page URL.', 1);

insert into overviewdoc values ('20090928163751667530000000','UUID:4CEC1CEF-1F68-4B23-8CB7-8BAA763AEB89', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667530000000', 'overviewDoc', 'en', 'This tModel is used as the bindingTemplate fingerprint for a web home page reference.', 1);

insert into categorybag values ('UUID:4CEC1CEF-1F68-4B23-8CB7-8BAA763AEB89','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModelType','specification', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:807A2C6A-EE22-470D-ADC7-E0424A337C03', 'uddi-org:relationships', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:807A2C6A-EE22-470D-ADC7-E0424A337C03', 'tModel', 'en', 'UDDI businessEntity relationship descriptions.', 1);

insert into overviewdoc values ('20090928163751667550000000','UUID:807A2C6A-EE22-470D-ADC7-E0424A337C03', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667550000000', 'overviewDoc', 'en', 'This tModel is used to describe business relationships. Used in the publisher assertion messages.', 1);

insert into categorybag values ('UUID:807A2C6A-EE22-470D-ADC7-E0424A337C03','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','relationship', 1);


insert into tmodel (tmodelkey,name,owner,operator) values ('UUID:E59AE320-77A5-11D5-B898-0004AC49CC1E', 'uddi-org:isReplacedBy', '0100000M99', 'www.ibm.com/services/uddi');

insert into descr values ('UUID:E59AE320-77A5-11D5-B898-0004AC49CC1E', 'tModel', 'en', 'UDDI businessEntity relationship descriptions.', 1);

insert into overviewdoc values ('20090928163751667570000000','UUID:E59AE320-77A5-11D5-B898-0004AC49CC1E', 'tModel', 'http://www.uddi.org/specification.html');

insert into descr values ('20090928163751667570000000', 'overviewDoc', 'en', 'An identifier system used to point (using UDDI keys) to the tModel (or businessEntity) that is the logical replacement for the one in which isReplacedBy is used.', 1);

insert into categorybag values ('UUID:E59AE320-77A5-11D5-B898-0004AC49CC1E','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','identifier', 1);


-- This makes all the categorization and identifier tmodels have a checked keyed ref where applicable, as per the specification

-- naics
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:C0B9FE13-179F-413D-8A5B-5004DB8E5BB2','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');

-- operators
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:327A56F0-3299-4461-BC23-5CD513E95C55','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');

-- udditype
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');

-- unspsc7
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:CD153257-086A-4237-B336-6BDCBDCC6634','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');

-- geo
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:4E49A8D6-D5A2-4FC2-93A0-0411D8D19E88','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');

-- owningBusiness
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:4064C064-6D14-4F35-8953-9652106476A9','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');

-- isReplacedBy
insert into categorybag (CBPARENTKEY, CBPARENTELT, KRTMODELKEY, KEYNAME, KEYVALUE) values ('UUID:E59AE320-77A5-11D5-B898-0004AC49CC1E','tModel','UUID:C1ACF26D-9672-4404-9D70-39B756E62AB4','types','checked');
